# $Revision: 1.25 $, $Date: 2002/09/11 12:20:37 $
Summary:	VideoLAN is a free MPEG, MPEG-2 and DVD software solution
Summary(pl):	VideoLAN - oprogramowanie dla MPEG, MPEG-2 i DVD
Summary(pt_BR):	O VideoLAN  um cliente DVD e MPEG de livre distribuio que pode funcionar via rede
Name:		vlc
Version:	0.3.0
Release:	4
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://www.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:		%{name}-altivec.patch
URL:		http://www.videolan.org/
BuildRequires:	SDL-devel >= 1.2
%ifnarch sparc sparc64
#BuildRequires:	alsa-lib-devel
%endif
BuildRequires:	autoconf
BuildRequires:	esound-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	libggi-devel
BuildRequires:	libdvdcss-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
VideoLAN is a free network-aware MPEG and DVD player. The VideoLAN
Client allows to play MPEG-2 Transport Streams from the network or
from a file, as well as direct DVD playback. VideoLAN is a project of
students from the Ecole Centrale Paris. This version add MPEG-1
support, direct DVD support, DVD decryption, arbitrary, seeking in the
stream, pause, fast forward and slow motion, hardware YUV acceleration
and a few new interface features including drag'n'drop. You may
install vlc-gnome, vlc-gtk and vlc-qt vlc-gnome vlc-ncurses.

%description -l pl
VideoLAN jest darmowym rozwizaniem dla streamingu MPEG2.

Klient VideoLAN pozwala na odtwarzanie strumienia MPEG2 z sieci lub z
pliku jak rwnie bezporednie odtwarzanie z DVD.

%description -l pt_BR
O VideoLAN  um cliente DVD e MPEG de livre distribuio que pode
funcionar via rede. Permite a reproduo de "transport streams" MPEG-2
a partir da rede ou de um arquivo, bem como assistir a DVDs
localmente.

%package X11
Summary:	VideoLAN Client - X11 output plugin
Summary(pl):	Klient VideoLAN - plugin dla X11
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}

%description X11
X11 output plugin for VideoLAN Client

%description X11 -l pl
Plugin X11 dla Klienta VideoLAN

%package GGI
Summary:	VideoLAN Client - GGI output plugin
Summary(pl):	Klient VideoLAN - plugin GGI
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}

%description GGI
GGI output plugin for VideoLAN Client.

%description GGI -l pl
Plugin GGI dla Klienta VideoLAN.

%package SDL
Summary:	VideoLAN Client - SDL output plugin
Summary(pl):	Klient VideoLAN - plugin SDL
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}

%description SDL
SDL output plugin for VideoLAN Client.

%description SDL -l pl
Plugin SDL dla Klienta VideoLAN.

%package gnome
Summary:	VideoLAN Client - gnome output plugin
Summary(pl):	Klient VideoLAN - plugin gnome
Summary(pt_BR):	Plugin gnome para o VideoLAN
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}

%description gnome
Gnome output plugin for VideoLAN Client.

%description gnome -l pl
Plugin gnome dla Klienta VideoLAN.

%description gnome -l pt_BR
Plugin gnome para o VideoLAN.

%package gtk
Summary:	VideoLAN Client - gtk output plugin
Summary(pl):	Klient VideoLAN - plugin gtk
Summary(pt_BR):	Plugin gtk para o VideoLAN
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}

%description gtk
GTK output plugin for VideoLAN Client.

%description gtk -l pl
Plugin GTK dla Klienta VideoLAN.

%description gtk -l pt_BR
Plugin gtk para o VideoLAN.

%package esd
Summary:	VideoLAN Client - esound output plugin
Summary(pl):	Klient VideoLAN - plugin esound
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}

%description esd
Esd audio output plugin for VideoLAN Client.

%description esd -l pl
Plugin audio esd dla Klienta VideoLAN.

%package alsa
Summary:	VideoLAN Client - alsa output plugin
Summary(pl):	Klient VideoLAN - plugin alsa
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}

%description alsa
ALSA audio output plugin for VideoLAN Client.

%description alsa -l pl
Plugin audi ALSA dla Klienta VideoLAN.


%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure \
%ifarch ppc
	--disable-altivec \
%endif
	--enable-dvdread \
	--enable-dummy \
	--enable-dsp \
	--disable-alsa \
	--enable-esd \
	--enable-fb \
	--enable-ggi \
        --enable-ncurses \
	--with-ggi \
	--with-sdl \
	--with-dvdcss \
	--disable-glide \
	--enable-gnome \
	--enable-x11 \
	--with-sdl=/usr/X11R6 \
	--disable-optimizations # we use own RPM_OPT_FLAGS optimalizations

echo "CFLAGS += -I/usr/include/ncurses" >> Makefile.opts
%{__make}
#CFLAGS="-I. -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO ChangeLog AUTHORS
%attr(755,root,root) %{_bindir}/vlc
%dir %{_libdir}/videolan
%dir %{_libdir}/videolan/vlc
%attr(755,root,root) %{_libdir}/videolan/vlc/ac3_spdif.so
%attr(755,root,root) %{_libdir}/videolan/vlc/dsp.so
%attr(755,root,root) %{_libdir}/videolan/vlc/dummy.so
%attr(755,root,root) %{_libdir}/videolan/vlc/dvdread.so
%attr(755,root,root) %{_libdir}/videolan/vlc/file.so
%attr(755,root,root) %{_libdir}/videolan/vlc/fb.so
%attr(755,root,root) %{_libdir}/videolan/vlc/filter*.so
%attr(755,root,root) %{_libdir}/videolan/vlc/fx_scope.so
%attr(755,root,root) %{_libdir}/videolan/vlc/http.so
%attr(755,root,root) %{_libdir}/videolan/vlc/ipv*.so
%attr(755,root,root) %{_libdir}/videolan/vlc/logger.so
%attr(755,root,root) %{_libdir}/videolan/vlc/lpcm_adec.so
%attr(755,root,root) %{_libdir}/videolan/vlc/memcpy.so
%attr(755,root,root) %{_libdir}/videolan/vlc/mpeg_*.so
%attr(755,root,root) %{_libdir}/videolan/vlc/ncurses.so
%attr(755,root,root) %{_libdir}/videolan/vlc/null.so
%attr(755,root,root) %{_libdir}/videolan/vlc/rc.so
%attr(755,root,root) %{_libdir}/videolan/vlc/spudec.so
%attr(755,root,root) %{_libdir}/videolan/vlc/udp.so
%attr(755,root,root) %{_libdir}/videolan/vlc/vcd.so
%attr(755,root,root) %{_libdir}/videolan/vlc/vorbis.so
%dir %{_datadir}/videolan
%{_datadir}/videolan/*.psf
%{_datadir}/videolan/vlc*.png
%{_datadir}/videolan/vlc*.xpm
%{_datadir}/videolan/qvlc*
%{_datadir}/videolan/kvlc*

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/videolan/vlc/x11.so

%files GGI
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/videolan/vlc/ggi.so

%files SDL
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/videolan/vlc/sdl.so

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gvlc
%attr(755,root,root) %{_libdir}/videolan/vlc/gtk.so
%{_datadir}/videolan/gvlc*.png
%{_datadir}/videolan/gvlc*.xpm

%files gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gnome-vlc
%attr(755,root,root) %{_libdir}/videolan/vlc/gnome.so
%{_datadir}/videolan/gnome-vlc*.png
%{_datadir}/videolan/gnome-vlc*.xpm

%files esd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/videolan/vlc/esd.so

#%files alsa
#%defattr(644,root,root,755)
#%attr(755,root,root) %{_libdir}/videolan/vlc/alsa.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached on <cvs_login>@pld.org.pl

$Log: vlc.spec,v $
Revision 1.25  2002/09/11 12:20:37  marcus
- rel.4.
- fixes for dvd and ppc

Revision 1.24  2002/09/11 08:49:44  qboosh
- removed ifarchs for mmx etc. - no such options in this version
  (compilation options detected by ./configure, code chosen in runtime)

Revision 1.23  2002/09/07 01:56:51  blues
- release 3: added flags for ncurses plugin, added all of the plugins to
  package, some cleanups in files - STBR

Revision 1.22  2002/09/07 01:02:36  blues
- removed redundant BR, disabled mmx for i586 - many of them aren't with
  MMX

Revision 1.21  2002/09/06 18:36:54  blues
- release 2 - gvlc icon moved to main package (removed conflict), new doc
STBR

Revision 1.20  2002/05/21 23:14:54  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/04/08 14:12:50  pioklo
- up to 0.3.0,STBR

Revision 1.18  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:29:56  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/26 13:14:54  filon
- updated for athlon
- release 2

Revision 1.15  2002/01/18 02:15:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/12/18 23:37:14  kloczek
- fis building on i386: added missing %endif in %build.

Revision 1.13  2001/12/18 15:52:45  kloczek
- commented BuildRequires for alsa-libs (in %build is --disable-alsa),
- fix %ifarch .. %else .. %endif in %build.

Revision 1.12  2001/12/18 15:48:31  kloczek
- merge translations from Conectiva.

Revision 1.11  2001/12/17 17:43:35  jajcus
- Version: 0.2.91
- autoconf 2.50 support

Revision 1.10  2001/07/06 11:25:42  jajcus
- Version: 0.2.80
- gtk subpackage added
- alsa (disabled as it doesn't seem to compile) subpackage added

Revision 1.9  2001/04/23 01:14:01  kloczek
- release 2: rebuild against SDL 1.2.

Revision 1.8  2001/02/21 16:35:55  jajcus
- missing modules added (including dvd). STBR

Revision 1.7  2001/02/21 10:17:47  misiek
0.2.62. GGI is back

Revision 1.6  2001/02/18 22:56:18  kloczek
- cosmetics.

Revision 1.5  2001/02/18 12:45:37  misiek
0.2.61. ggi disabled. mmx optimalizations. stb

Revision 1.4  2000/11/02 19:58:53  kloczek
- release 2,
- use new rpm automation,
- rebuild against gnome-libs linked with db3.

Revision 1.3  2000/09/06 08:55:02  kloczek
- added SDL-devel to BuildRequires.

Revision 1.2  2000/09/06 08:53:48  kloczek
- added DESTDIR patch and DESTDIR style %install,
- 755 on shared objects,
- added stripping shared objects.

Revision 1.1  2000/09/04 14:48:11  jajcus
- initial spec
